StorageManagerEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.storage
Class StorageManagerEvent

    java.lang.Object
      java.util.EventObject
          org.ocap.storage.StorageManagerEvent

All Implemented Interfaces:
  Serializable

    public class StorageManagerEvent

extends EventObject

Event sent to a `StorageManagerListener` registered with the `StorageManager` that a `StorageProxy` was added, removed or changed state.

See Also:
  Serialized Form

Field Summary
`static int` | `STORAGE_PROXY_ADDED` A StorageProxy was added.
`static int` | `STORAGE_PROXY_CHANGED` A StorageProxy changed state.
`static int` | `STORAGE_PROXY_REMOVED` A StorageProxy was removed.

Constructor Summary
`StorageManagerEvent(StorageProxy proxy, int eventType)` Constructs the event.

Method Summary
`int` | `getEventType()` Returns the event type.
`StorageProxy` | `getStorageProxy()` Returns the `StorageProxy` that caused the event.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STORAGE_PROXY_ADDED

    public static final int STORAGE_PROXY_ADDED

  A StorageProxy was added.

  See Also:
    Constant Field Values

### STORAGE_PROXY_REMOVED

    public static final int STORAGE_PROXY_REMOVED

  A StorageProxy was removed.

  See Also:
    Constant Field Values

### STORAGE_PROXY_CHANGED

    public static final int STORAGE_PROXY_CHANGED

  A StorageProxy changed state.

  See Also:
    Constant Field Values

Constructor Detail

### StorageManagerEvent

    public StorageManagerEvent(StorageProxy proxy,
                               int eventType)

  Constructs the event.

  Parameters:
    `proxy` - The `StorageProxy` that caused the event.
    `eventType` - The type of event.

Method Detail

### getEventType

    public int getEventType()

  Returns the event type. Possible values include STORAGE_PROXY_ADDED, STORAGE_PROXY_REMOVED or STORAGE_PROXY_CHANGED.

  Returns:
    The event type.

### getStorageProxy

    public StorageProxy getStorageProxy()

  Returns the `StorageProxy` that caused the event.

  Returns:
    The `StorageProxy` that caused the event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD